import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class JavaFXHelloWorld extends Application {
	
	// This method runs when the application starts.
	public void start (Stage primaryStage) {
	
		// Create two 'Label' objects.
		Label label1 = new Label();
		Label label2 = new Label();
		label1.setText("Hello");
		label2.setText("World");
		
		// Create an 'HBox' root container for the 'Label' objects. 
		HBox root = new HBox();
		
		// Add the 'Label' objects to the 'HBox' root container.
		root.getChildren().add(label1);
		root.getChildren().add(label2);
		
		// Insert the rooted tree of display objects in a 'Scene' object.
		Scene scene = new Scene(root,300,50);
		
		// Add a title to 'Stage' object.
		primaryStage.setTitle("JavaFX Example");
		
		// Insert the 'Scene' object created to a 'Stage' object.
		primaryStage.setScene(scene);
		
		// Display the 'Stage' object.
		primaryStage.show();
	}
	
	public static void main(String[] args) {
		// Start the JavaFX application.
		launch(args);
	}
}